AMDTEMP(4)

NAME
amdtemp - AMD CPU on-die digital thermal sensor

SYNOPSIS
amdtemp* at amdnb_miscbus?

DESCRIPTION
The amdtemp driver provides support for the on-die digital thermal sensor present on AMD K8, AMD Barcelona, AMD Phenom, AMD Griffin, AMD Fusion, AMD Bobcat, and AMD Puma CPUs.

These sensors were officially introduced in AMD K8 Revision F processors, and provide 0.5°C accuracy. Precision was improved in Revision G chips, which provide two more bits for 0.25°C steppings. Each core has two temperature sensors, and there are up to two cores per CPU socket.

AMD Barcelona, AMD Phenom, AMD Griffin, AMD Fusion, AMD Bobcat, and AMD Puma provide 0.125°gC accuracy and provide one temperature sensor for each CPU socket.

The amdtemp driver reports temperatures through the envsys(4) API.
Sensor | Units | Typical Use
CPUN sensor0 | μK | cpuN temperature

SEE ALSO
envsys(4), envstat(8), powerd(8)

HISTORY
The amdtemp driver first appeared in OpenBSD 4.4 named “kate”. It was then ported to NetBSD 5.0. The driver has been renamed with support for newer AMD CPUs.

AUTHORS
-nosplit The amdtemp driver was written by Constantine A. Murenin <cnst@openbsd.org> whilst at the University of Waterloo. It was adapted to NetBSD by Christoph Egger.